<a name="menu">目录</a>
1. [身份证校验](#idNoValid)
1. [保存订单](#saveOrder)
1. [我的订单](#myOrders)
1. [订单详情](#orderInfo)

## **<a name="idNoValid"> 身份证校验</a>**
[返回到目录](#menu)
##### URL
[/applet/merchantApplet/idNoValid]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
```javascript

{
    "openid": "od1Y85FIQbVye0WzZnAKnTh5YC6k",       // openId
    "merchant_id": "11247613260000707",             // 商户id
    "idno": "210124198911021227",                   // 身份证
}

```

#### 返回结果
```javascript

{
    "code": 0,
    "msg": "身份证号码错误"
}

```


## **<a name="saveOrder"> 保存订单</a>**
[返回到目录](#menu)
##### URL
[/applet/merchantApplet/saveOrder]
#### 参数格式  `JSON`
#### HTTP请求方式 `POST`
```javascript

{
    "openid": "od1Y85FIQbVye0WzZnAKnTh5YC6k",       // openId
    "merchant_id": "11247613260000707",             // 商户id
    "idcard_front": "222222222",                    // 身份证人像面
    "idcard_back": "222222222222",                  // 身份证国徽面
    "legal_name": "2222222222",                     // 法人姓名
    "legal_mobile": "18600440811",                  // 联系电话
    "legal_idno": "210124198911021227",             // 法人身份证
    "company_names": "2222222",                     // 公司名称，英文逗号（,）分隔
    "bank_front": "22222222222222",                 // 银行卡正面
    "bank_back": "2222222222",                      // 银行卡反面
    "bank_name": "2222222222",                      // 开户行
    "bank_no": "222222222222",                      // 银行卡号
    "bank_mobile": "2222222222222"                  // 手机号（银行卡预留手机号）
}

```

#### 返回结果
```javascript

{
    "code": 1,
    "msg": "success",
    "data": null
}

```

## **<a name="myOrders"> 我的订单</a>**
[返回到目录](#menu)
##### URL
[/applet/merchantApplet/myOrders]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
{
    "currentPage": "1",
    "pageSize": "10",
}

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": {
        "count": 0,
        "rows": [
            {
                "id": "1726724188001516",                   // 订单编号
                "price": 1500,                              // 订单价格
                "pay_voucher_img": "0",                     // 付款凭证
                "audit_remark": "",                         // 审核凭证
                "deliver_man": "",                          // 交付联系人
                "deliver_mobile": "",                       // 交付联系电话
                "deliver_addr": "",                         // 邮寄地址
                "created_at": "2020-03-21 07:45:18",        // 创建时间
                "status": "3030",                           // 订单状态
                "status_name": "已交付"                      // 订单状态名称
                // 订单信息
                "bminfo": {
                    "idcard_front": "11111",                // 身份证正面
                    "idcard_back": "11111",                 // 身份证反面
                    "legal_name": "11111",                  // 法人名称
                    "legal_mobile": "11111",                // 手机号
                    "legal_idno": "11111",                  // 身份证号码
                    "company_names": "11111",               // 个体户名称
                    "bank_front": "11111",                  // 银行卡正面图
                    "bank_back": "11111",                   // 银行卡反面图
                    "bank_name": "11111",                   // 开户行
                    "bank_no": "11111",                     // 银行卡号
                    "bank_mobile": "11111",                 // 预留手机号
                    "domicile_id": "",                      // 注册地id
                    "domicile_name": "",                    // 注册地
                    "business_scope_id": "",                // 经营范围id
                    "business_type": "",                    // 经营范围类型
                    "business_scope": "",                   // 经营范围详情
                }
            }
        ],
        "total": 1
    },
    "requestid": "00521a0a0f094c8d982bf4375fbe91b1"
}
```


## **<a name="orderInfo"> 订单详情</a>**
[返回到目录](#menu)
##### URL
[/applet/merchantApplet/orderInfo]

#### 参数格式  `JSON`
#### HTTP请求方式 `POST`

``` javascript
{
    "id": "1",
}

```

#### 返回结果
```javascript
{
    "status": 0,
    "msg": "success",
    "data": {
        "id": "1726724188001516",                   // 订单编号
        "price": 1500,                              // 订单价格
        "pay_voucher_img": "0",                     // 付款凭证
        "audit_remark": "",                         // 审核凭证
        "deliver_man": "",                          // 交付联系人
        "deliver_mobile": "",                       // 交付联系电话
        "deliver_addr": "",                         // 邮寄地址
        "created_at": "2020-03-21 07:45:18",        // 创建时间
        "status": "3030",                           // 订单状态
        "status_name": "已交付"                      // 订单状态名称
        // 订单信息
        "bminfo": {
            "idcard_front": "11111",                // 身份证正面
            "idcard_back": "11111",                 // 身份证反面
            "legal_name": "11111",                  // 法人名称
            "legal_mobile": "11111",                // 手机号
            "legal_idno": "11111",                  // 身份证号码
            "company_names": "11111",               // 个体户名称
            "bank_front": "11111",                  // 银行卡正面图
            "bank_back": "11111",                   // 银行卡反面图
            "bank_name": "11111",                   // 开户行
            "bank_no": "11111",                     // 银行卡号
            "bank_mobile": "11111",                 // 预留手机号
            "domicile_id": "",                      // 注册地id
            "domicile_name": "",                    // 注册地
            "business_scope_id": "",                // 经营范围id
            "business_type": "",                    // 经营范围类型
            "business_scope": "",                   // 经营范围详情
        }
    },
    "requestid": "00521a0a0f094c8d982bf4375fbe91b1"
}
```